curl "https://api.haau3.com/v1/fhir/r4/Questionnaire/44249-1" \
-H "Authorization: Bearer $HAAU3_API_KEY"
import { Haau3 } from "@haau3/sdk";
const haau3 = new Haau3(); // reads HAAU3_API_KEY
const questionnaire = await haau3.readQuestionnaire("44249-1");
console.log(questionnaire.id);
from haau3 import Haau3
client = Haau3() # reads HAAU3_API_KEY
questionnaire = client.read_questionnaire("44249-1")
print(questionnaire.get("id"))
package main
import (
"context"
"fmt"
"log"
"github.com/haau3/haau3-go"
)
func main() {
ctx := context.Background()
client, err := haau3.NewClient() // reads HAAU3_API_KEY
if err != nil {
log.Fatal(err)
}
questionnaire, err := client.ReadQuestionnaire(ctx, "44249-1")
if err != nil {
log.Fatal(err)
}
if questionnaire.ID != nil {
fmt.Println(*questionnaire.ID)
}
}
{
"resourceType": "Questionnaire",
"id": "44249-1",
"meta": {
"lastUpdated": "2026-08-19T00:00:00+00:00"
},
"url": "http://loinc.org/q/44249-1",
"version": "2.83",
"name": "PHQ_quick_depression_assessment_panel",
"title": "PHQ-9 quick depression assessment panel",
"status": "draft",
"subjectType": [
"Patient"
],
"publisher": "Regenstrief Institute, Inc.",
"contact": [
{
"name": "Regenstrief Institute, Inc.",
"telecom": [
{
"system": "url",
"value": "http://loinc.org"
}
]
}
],
"description": "PHQ-9 quick depression assessment panel [Reported.PHQ]",
"copyright": "This material contains content from LOINC (http://loinc.org). LOINC is copyright Regenstrief Institute, Inc. and the Logical Observation Identifiers Names and Codes (LOINC) Committee and is available at no cost under the license at http://loinc.org/license. LOINC® is a registered United States trademark of Regenstrief Institute, Inc.\r\nCopyright © Pfizer Inc. All rights reserved. Developed by Drs. Robert L. Spitzer, Janet B.W. Williams, Kurt Kroenke and colleagues, with an educational grant from Pfizer Inc. No permission required to reproduce, translate, display or distribute.",
"code": [
{
"system": "http://loinc.org",
"code": "44249-1",
"display": "PHQ-9 quick depression assessment panel"
}
],
"item": [
{
"linkId": "14363",
"code": [
{
"system": "http://loinc.org",
"code": "44250-9",
"display": "Little interest or pleasure in doing things"
}
],
"prefix": "PHQ-9.1",
"text": "Little interest or pleasure in doing things",
"type": "choice",
"required": true,
"repeats": false,
"answerOption": [
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6569-3",
"display": "Several days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6570-1",
"display": "More than half the days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6568-5",
"display": "Not at all"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6571-9",
"display": "Nearly every day"
}
}
]
},
{
"linkId": "14364",
"code": [
{
"system": "http://loinc.org",
"code": "44255-8",
"display": "Feeling down, depressed, or hopeless"
}
],
"prefix": "PHQ-9.2",
"text": "Feeling down, depressed, or hopeless",
"type": "choice",
"required": true,
"repeats": false,
"answerOption": [
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6569-3",
"display": "Several days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6570-1",
"display": "More than half the days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6568-5",
"display": "Not at all"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6571-9",
"display": "Nearly every day"
}
}
]
},
{
"linkId": "14365",
"code": [
{
"system": "http://loinc.org",
"code": "44259-0",
"display": "Trouble falling or staying asleep, or sleeping too much"
}
],
"text": "Trouble falling or staying asleep, or sleeping too much",
"type": "choice",
"required": true,
"repeats": false,
"answerOption": [
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6569-3",
"display": "Several days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6570-1",
"display": "More than half the days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6568-5",
"display": "Not at all"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6571-9",
"display": "Nearly every day"
}
}
]
},
{
"linkId": "14366",
"code": [
{
"system": "http://loinc.org",
"code": "44254-1",
"display": "Feeling tired or having little energy"
}
],
"text": "Feeling tired or having little energy",
"type": "choice",
"required": true,
"repeats": false,
"answerOption": [
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6569-3",
"display": "Several days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6570-1",
"display": "More than half the days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6568-5",
"display": "Not at all"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6571-9",
"display": "Nearly every day"
}
}
]
},
{
"linkId": "14367",
"code": [
{
"system": "http://loinc.org",
"code": "44251-7",
"display": "Poor appetite or overeating"
}
],
"text": "Poor appetite or overeating",
"type": "choice",
"required": true,
"repeats": false,
"answerOption": [
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6569-3",
"display": "Several days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6570-1",
"display": "More than half the days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6568-5",
"display": "Not at all"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6571-9",
"display": "Nearly every day"
}
}
]
},
{
"linkId": "14368",
"code": [
{
"system": "http://loinc.org",
"code": "44258-2",
"display": "Feeling bad about yourself-or that you are a failure or have let yourself or your family down"
}
],
"text": "Feeling bad about yourself-or that you are a failure or have let yourself or your family down",
"type": "choice",
"required": true,
"repeats": false,
"answerOption": [
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6569-3",
"display": "Several days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6570-1",
"display": "More than half the days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6568-5",
"display": "Not at all"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6571-9",
"display": "Nearly every day"
}
}
]
},
{
"linkId": "14369",
"code": [
{
"system": "http://loinc.org",
"code": "44252-5",
"display": "Trouble concentrating on things, such as reading the newspaper or watching television"
}
],
"text": "Trouble concentrating on things, such as reading the newspaper or watching television",
"type": "choice",
"required": true,
"repeats": false,
"answerOption": [
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6569-3",
"display": "Several days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6570-1",
"display": "More than half the days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6568-5",
"display": "Not at all"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6571-9",
"display": "Nearly every day"
}
}
]
},
{
"linkId": "14370",
"code": [
{
"system": "http://loinc.org",
"code": "44253-3",
"display": "Moving or speaking so slowly that other people could have noticed. Or the opposite – being so fidgety or restless that you were moving around a lot more than usual"
}
],
"text": "Moving or speaking so slowly that other people could have noticed. Or the opposite – being so fidgety or restless that you were moving around a lot more than usual",
"type": "choice",
"required": true,
"repeats": false,
"answerOption": [
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6569-3",
"display": "Several days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6570-1",
"display": "More than half the days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6568-5",
"display": "Not at all"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6571-9",
"display": "Nearly every day"
}
}
]
},
{
"linkId": "14371",
"code": [
{
"system": "http://loinc.org",
"code": "44260-8",
"display": "Thoughts that you would be better off dead, or of hurting yourself in some way"
}
],
"text": "Thoughts that you would be better off dead, or of hurting yourself in some way",
"type": "choice",
"repeats": false,
"answerOption": [
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6569-3",
"display": "Several days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6570-1",
"display": "More than half the days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6568-5",
"display": "Not at all"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6571-9",
"display": "Nearly every day"
}
}
]
},
{
"linkId": "57492",
"code": [
{
"system": "http://loinc.org",
"code": "69722-7",
"display": "How difficult have these problems made it for you to do your work, take care of things at home, or get along with other people?"
}
],
"text": "How difficult have these problems made it for you to do your work, take care of things at home, or get along with other people?",
"type": "choice",
"repeats": false,
"answerOption": [
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6572-7",
"display": "Not difficult at all"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6573-5",
"display": "Somewhat difficult"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6574-3",
"display": "Extremely difficult"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6575-0",
"display": "Very difficult"
}
}
]
},
{
"linkId": "14372",
"text": "Patient health questionnaire 9 item total score",
"type": "decimal"
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}Read a questionnaire
Read one questionnaire by id. Ids are the identifier its source gives the instrument, for example 44249-1. A search with no parameters lists the ids this service holds copies of; any other id its source publishes is fetched live.
The resource is returned exactly as its source publishes it, including its copyright and the order of every answer option.
curl "https://api.haau3.com/v1/fhir/r4/Questionnaire/44249-1" \
-H "Authorization: Bearer $HAAU3_API_KEY"
import { Haau3 } from "@haau3/sdk";
const haau3 = new Haau3(); // reads HAAU3_API_KEY
const questionnaire = await haau3.readQuestionnaire("44249-1");
console.log(questionnaire.id);
from haau3 import Haau3
client = Haau3() # reads HAAU3_API_KEY
questionnaire = client.read_questionnaire("44249-1")
print(questionnaire.get("id"))
package main
import (
"context"
"fmt"
"log"
"github.com/haau3/haau3-go"
)
func main() {
ctx := context.Background()
client, err := haau3.NewClient() // reads HAAU3_API_KEY
if err != nil {
log.Fatal(err)
}
questionnaire, err := client.ReadQuestionnaire(ctx, "44249-1")
if err != nil {
log.Fatal(err)
}
if questionnaire.ID != nil {
fmt.Println(*questionnaire.ID)
}
}
{
"resourceType": "Questionnaire",
"id": "44249-1",
"meta": {
"lastUpdated": "2026-08-19T00:00:00+00:00"
},
"url": "http://loinc.org/q/44249-1",
"version": "2.83",
"name": "PHQ_quick_depression_assessment_panel",
"title": "PHQ-9 quick depression assessment panel",
"status": "draft",
"subjectType": [
"Patient"
],
"publisher": "Regenstrief Institute, Inc.",
"contact": [
{
"name": "Regenstrief Institute, Inc.",
"telecom": [
{
"system": "url",
"value": "http://loinc.org"
}
]
}
],
"description": "PHQ-9 quick depression assessment panel [Reported.PHQ]",
"copyright": "This material contains content from LOINC (http://loinc.org). LOINC is copyright Regenstrief Institute, Inc. and the Logical Observation Identifiers Names and Codes (LOINC) Committee and is available at no cost under the license at http://loinc.org/license. LOINC® is a registered United States trademark of Regenstrief Institute, Inc.\r\nCopyright © Pfizer Inc. All rights reserved. Developed by Drs. Robert L. Spitzer, Janet B.W. Williams, Kurt Kroenke and colleagues, with an educational grant from Pfizer Inc. No permission required to reproduce, translate, display or distribute.",
"code": [
{
"system": "http://loinc.org",
"code": "44249-1",
"display": "PHQ-9 quick depression assessment panel"
}
],
"item": [
{
"linkId": "14363",
"code": [
{
"system": "http://loinc.org",
"code": "44250-9",
"display": "Little interest or pleasure in doing things"
}
],
"prefix": "PHQ-9.1",
"text": "Little interest or pleasure in doing things",
"type": "choice",
"required": true,
"repeats": false,
"answerOption": [
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6569-3",
"display": "Several days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6570-1",
"display": "More than half the days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6568-5",
"display": "Not at all"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6571-9",
"display": "Nearly every day"
}
}
]
},
{
"linkId": "14364",
"code": [
{
"system": "http://loinc.org",
"code": "44255-8",
"display": "Feeling down, depressed, or hopeless"
}
],
"prefix": "PHQ-9.2",
"text": "Feeling down, depressed, or hopeless",
"type": "choice",
"required": true,
"repeats": false,
"answerOption": [
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6569-3",
"display": "Several days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6570-1",
"display": "More than half the days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6568-5",
"display": "Not at all"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6571-9",
"display": "Nearly every day"
}
}
]
},
{
"linkId": "14365",
"code": [
{
"system": "http://loinc.org",
"code": "44259-0",
"display": "Trouble falling or staying asleep, or sleeping too much"
}
],
"text": "Trouble falling or staying asleep, or sleeping too much",
"type": "choice",
"required": true,
"repeats": false,
"answerOption": [
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6569-3",
"display": "Several days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6570-1",
"display": "More than half the days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6568-5",
"display": "Not at all"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6571-9",
"display": "Nearly every day"
}
}
]
},
{
"linkId": "14366",
"code": [
{
"system": "http://loinc.org",
"code": "44254-1",
"display": "Feeling tired or having little energy"
}
],
"text": "Feeling tired or having little energy",
"type": "choice",
"required": true,
"repeats": false,
"answerOption": [
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6569-3",
"display": "Several days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6570-1",
"display": "More than half the days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6568-5",
"display": "Not at all"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6571-9",
"display": "Nearly every day"
}
}
]
},
{
"linkId": "14367",
"code": [
{
"system": "http://loinc.org",
"code": "44251-7",
"display": "Poor appetite or overeating"
}
],
"text": "Poor appetite or overeating",
"type": "choice",
"required": true,
"repeats": false,
"answerOption": [
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6569-3",
"display": "Several days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6570-1",
"display": "More than half the days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6568-5",
"display": "Not at all"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6571-9",
"display": "Nearly every day"
}
}
]
},
{
"linkId": "14368",
"code": [
{
"system": "http://loinc.org",
"code": "44258-2",
"display": "Feeling bad about yourself-or that you are a failure or have let yourself or your family down"
}
],
"text": "Feeling bad about yourself-or that you are a failure or have let yourself or your family down",
"type": "choice",
"required": true,
"repeats": false,
"answerOption": [
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6569-3",
"display": "Several days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6570-1",
"display": "More than half the days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6568-5",
"display": "Not at all"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6571-9",
"display": "Nearly every day"
}
}
]
},
{
"linkId": "14369",
"code": [
{
"system": "http://loinc.org",
"code": "44252-5",
"display": "Trouble concentrating on things, such as reading the newspaper or watching television"
}
],
"text": "Trouble concentrating on things, such as reading the newspaper or watching television",
"type": "choice",
"required": true,
"repeats": false,
"answerOption": [
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6569-3",
"display": "Several days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6570-1",
"display": "More than half the days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6568-5",
"display": "Not at all"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6571-9",
"display": "Nearly every day"
}
}
]
},
{
"linkId": "14370",
"code": [
{
"system": "http://loinc.org",
"code": "44253-3",
"display": "Moving or speaking so slowly that other people could have noticed. Or the opposite – being so fidgety or restless that you were moving around a lot more than usual"
}
],
"text": "Moving or speaking so slowly that other people could have noticed. Or the opposite – being so fidgety or restless that you were moving around a lot more than usual",
"type": "choice",
"required": true,
"repeats": false,
"answerOption": [
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6569-3",
"display": "Several days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6570-1",
"display": "More than half the days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6568-5",
"display": "Not at all"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6571-9",
"display": "Nearly every day"
}
}
]
},
{
"linkId": "14371",
"code": [
{
"system": "http://loinc.org",
"code": "44260-8",
"display": "Thoughts that you would be better off dead, or of hurting yourself in some way"
}
],
"text": "Thoughts that you would be better off dead, or of hurting yourself in some way",
"type": "choice",
"repeats": false,
"answerOption": [
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6569-3",
"display": "Several days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6570-1",
"display": "More than half the days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6568-5",
"display": "Not at all"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6571-9",
"display": "Nearly every day"
}
}
]
},
{
"linkId": "57492",
"code": [
{
"system": "http://loinc.org",
"code": "69722-7",
"display": "How difficult have these problems made it for you to do your work, take care of things at home, or get along with other people?"
}
],
"text": "How difficult have these problems made it for you to do your work, take care of things at home, or get along with other people?",
"type": "choice",
"repeats": false,
"answerOption": [
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6572-7",
"display": "Not difficult at all"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6573-5",
"display": "Somewhat difficult"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6574-3",
"display": "Extremely difficult"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6575-0",
"display": "Very difficult"
}
}
]
},
{
"linkId": "14372",
"text": "Patient health questionnaire 9 item total score",
"type": "decimal"
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}Authorizations
Your platform API key (haau3_sk_…), sent as Authorization: Bearer <key>.
Headers
An id of your own for this request, as a UUID. It comes back in the X-Correlation-Id header and is kept with haau3's record of the request. Any value that is not a UUID is ignored. See https://docs.haau3.com/errors#request-ids.
Path Parameters
The questionnaire id, as listed by a search on this service.
^[A-Za-z0-9\-.]{1,64}$Response
The Questionnaire, as its source publishes it.
A FHIR R4 Questionnaire.
"Questionnaire"